﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WatchDog
{ //
  //--------------------------------------------------------------
  //  Segment - Type
  //--------------------------------------------------------------
  //

  //
  //################################################################
  //  Segment - CPulseDog
  //################################################################
  //
  public class CWatchDog : CWatchBase
  { //
    //--------------------------------------------------------------
    //  Segment - Field
    //--------------------------------------------------------------
    //

    //
    //--------------------------------------------------------------
    //  Segment - Constructor
    //--------------------------------------------------------------
    //
    public CWatchDog(Int32 refreshtime)
      : base(refreshtime)
    {
    }
    //
    //--------------------------------------------------------------
    //  Segment - Event
    //--------------------------------------------------------------
    //
    protected override void OnTimerTick(object sender, EventArgs arguments)
    {
    }
    //
    //--------------------------------------------------------------
    //  Segment - Helper
    //--------------------------------------------------------------
    //

    //
    //--------------------------------------------------------------
    //  Segment - Public Management
    //--------------------------------------------------------------
    //

  }
}
